bugmldonkey, a multi-networks file-sharing client - Bugs: bug #43935, The files make inconsistent...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #43935: The files make inconsistent assumptions over interface Pervasives

Submitted by:  Ryan Schmidt <ryandesign>
Submitted on:  Mon 05 Jan 2015 09:05:00 AM UTC  
 
Category:  None Severity:  3 - Normal
Item Group:  Compilation problem Status:  Invalid
Assigned to:  None Open/Closed:  Closed
Release:  3.1.5 Release:  None
Operating System:  None Binaries Origin:  None
CPU type:  None

Tue 06 Jan 2015 04:59:04 AM UTC, comment #4: 

Thanks for the tip. ocaml and ocaml-camlp4 are both installed with MacPorts, which is necessary because mldonkey is also being installed with MacPorts. You were correct: ocaml-camlp4 was last updated 5 weeks before ocaml was updated to version 4.02.1, and rebuilding ocaml-camlp4 fixed the problem. I did not know that it was necessary to rebuild ocaml-camlp4 every time ocaml is updated. I've updated the ocaml-camlp4 port to rebuild it, and added a note to the ocaml port to advise others to update ocaml-camlp4 whenever ocaml is updated. This issue can be closed.

Ryan Schmidt <ryandesign>
Tue 06 Jan 2015 04:38:24 AM UTC, comment #3: 

How was ocaml installed? Is it possible that camlp4 was built for another version of ocaml (they are separated since 4.02), e.g. ocaml was upgraded but camlp4 not? Please show `ocamlc -version` and `camlp4 -version`. I suggest using opam to install ocaml and camlp4.

ygrek <ygrek>
Project Member
Tue 06 Jan 2015 02:23:03 AM UTC, comment #2: 

It was a clean build. The log is attached.

Ryan Schmidt <ryandesign>
Mon 05 Jan 2015 05:20:39 PM UTC, comment #1: 

Sounds like an unclean build. Please make a build in a clean directory and if the error persists - show the full output of configure and make

ygrek <ygrek>
Project Member
Mon 05 Jan 2015 09:05:00 AM UTC, original submission:  

Hello, I cannot build mldonkey 3.1.5 on OS X 10.10.2 with ocaml 4.02.1:

/opt/local/bin/ocamlc.opt  -I src/utils/extlib  -I src/utils/cdk  -I src/utils/bitstring  -I src/utils/lib  -I src/utils/ocamlrss  -I src/utils/xml-light  -I src/utils/net  -I tools  -I src/daemon/common  -I src/daemon/driver  -I src/utils/mp3tagui  -I src/config/unix  -I src/networks/direct_connect  -I src/networks/fasttrack  -I src/networks/fileTP  -I src/networks/bittorrent  -I src/networks/donkey -I +camlp4 -c src/utils/bitstring/bitstring_persistent.mli
File "src/utils/bitstring/bitstring_persistent.mli", line 1:
Error: The files /opt/local/lib/ocaml/pervasives.cmi
       and /opt/local/lib/ocaml/camlp4/camlp4.cmi
       make inconsistent assumptions over interface Pervasives
make: *** [src/utils/bitstring/bitstring_persistent.cmi] Error 2

I don't know what an "interface Pervasive" is, but the files mentioned are part of ocaml 4.02.1.

Ryan Schmidt <ryandesign>

 

Attached Files
file #32760:  main.log added by ryandesign (483KiB - application/octet-stream)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by ygrek (Posted a comment)
  • -email is unavailable- added by ryandesign (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

     

     

    Follow 3 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2015-01-07 ygrek StatusNone => Invalid
        Open/ClosedOpen => Closed
    2015-01-05 ryandesign Attached File- => Added main.log, #32760

    Back to the top


    Powered by Savane 3.5